package com.brilliance.isc.transfer.model;

import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.vo.model.CbbVo;
import org.mapstruct.BeanMapping;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.NullValuePropertyMappingStrategy;

@Mapper(componentModel = "spring")
public interface ICbbMapper {

    CbbVo convertCbbToVo(Cbb cbb);
    Cbb convertCbbVoToVo(CbbVo cbbVo);

    @BeanMapping(nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
    void updateCbbFromVo(CbbVo cbbVo, @MappingTarget Cbb cbb);
    void updateCbbVoFromBo(Cbb cbb, @MappingTarget CbbVo cbbVo);
}
